Name:           sonic-network-manager
Version:        6.4.5
Release:        1%{?dist}
Summary:        SonicDE for managing network connections (fork of plasma-nm)

License:        GPL-2.0-or-later
URL:            https://github.com/Sonic-DE/sonic-network-manager
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf6-rpm-macros
BuildRequires:  qt6-qtbase-devel
BuildRequires:  cmake(QCoro6)
BuildRequires:  cmake(Qca-qt6)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Declarative)
BuildRequires:  cmake(KF6NetworkManagerQt)
BuildRequires:  cmake(KF6ModemManagerQt)
BuildRequires:  cmake(KF6Svg)

BuildRequires:  sonic-workspace-devel

Requires:       NetworkManager >= 1.4.0

Conflicts:      plasma-nm

%description
Sonic Network Manager is a fork of plasma-nm, providing the network management
applet and configuration modules for SonicDE.

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

%files -f %{name}.lang
%license LICENSES/*
%{_qt6_plugindir}/plasma/networkmanagement/
%{_qt6_plugindir}/kf6/kded/proxyscout.so
%{_qt6_qmldir}/org/kde/plasma/networkmanagement/
%{_datadir}/plasma/plasmoids/org.kde.plasma.networkmanagement/
%{_datadir}/knotifications6/plasma_nm_*.notifyrc

%changelog
* Wed Mar 11 2026 Anders Rh <andersrh@example.com> - 6.2.0-1
- Initial release for SonicDE
